#pragma once

#include "core/models/RawBusMessage.h"

namespace softbus::message_bus::pipeline::stages::validators
{

class IValidator
{
public:
    virtual ~IValidator() = default;
    virtual bool validate(softbus::core::models::RawBusMessage& ctx) = 0;
};

} // namespace softbus::message_bus::pipeline::stages::validators
